$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64      = 'https://github.com/octobuild/octobuild/releases/download/0.6.1/octobuild-0.6.1-x86_64.msi'

$packageArgs = @{
    packageName   = $env:ChocolateyPackageName
    unzipLocation = $toolsDir
    fileType      = 'MSI'
    url64bit      = $url64

    softwareName  = 'Octobuild'

    checksum64    = '39945B377B78E745B1292D75E58148DB7B0FBEFE52FAFDB664C0437FBCEE10FF'
    checksumType64= 'sha256'

    silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
    validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
